Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
mem_ops.h File Reference
`#include <botan/types.h>`
`#include <cstring>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::clear_bytes (void *ptr, size_t bytes)
template<typename T >
void | Botan::clear_mem (T *ptr, size_t n)
template<typename T >
void | Botan::copy_mem (T *out, const T *in, size_t n)
template<typename T , typename Alloc , typename Alloc2 >
std::vector< T, Alloc > & | Botan::operator^= (std::vector< T, Alloc > &out, const std::vector< T, Alloc2 > &in)
template<typename T >
bool | Botan::same_mem (const T *p1, const T *p2, size_t n)
void | Botan::secure_scrub_memory (void *ptr, size_t n)
template<typename T >
void | Botan::set_mem (T *ptr, size_t n, uint8_t val)
template<typename T >
void | Botan::xor_buf (T out[], const T in[], size_t length)
template<typename T >
void | Botan::xor_buf (T out[], const T in[], const T in2[], size_t length)
template<typename Alloc , typename Alloc2 >
void | Botan::xor_buf (std::vector< uint8_t, Alloc > &out, const std::vector< uint8_t, Alloc2 > &in, size_t n)
template<typename Alloc >
void | Botan::xor_buf (std::vector< uint8_t, Alloc > &out, const uint8_t *in, size_t n)
template<typename Alloc , typename Alloc2 >
void | Botan::xor_buf (std::vector< uint8_t, Alloc > &out, const uint8_t *in, const std::vector< uint8_t, Alloc2 > &in2, size_t n)